unit SFtpDir;

interface

type

HCkTask = Pointer;
HCkSFtpFile = Pointer;
HCkSFtpDir = Pointer;
HCkString = Pointer;


function CkSFtpDir_Create: HCkSFtpDir; stdcall;
procedure CkSFtpDir_Dispose(handle: HCkSFtpDir); stdcall;
procedure CkSFtpDir_getDebugLogFilePath(objHandle: HCkSFtpDir; outPropVal: HCkString); stdcall;

procedure CkSFtpDir_putDebugLogFilePath(objHandle: HCkSFtpDir; newPropVal: PWideChar); stdcall;

function CkSFtpDir__debugLogFilePath(objHandle: HCkSFtpDir): PWideChar; stdcall;

procedure CkSFtpDir_getLastErrorHtml(objHandle: HCkSFtpDir; outPropVal: HCkString); stdcall;

function CkSFtpDir__lastErrorHtml(objHandle: HCkSFtpDir): PWideChar; stdcall;

procedure CkSFtpDir_getLastErrorText(objHandle: HCkSFtpDir; outPropVal: HCkString); stdcall;

function CkSFtpDir__lastErrorText(objHandle: HCkSFtpDir): PWideChar; stdcall;

procedure CkSFtpDir_getLastErrorXml(objHandle: HCkSFtpDir; outPropVal: HCkString); stdcall;

function CkSFtpDir__lastErrorXml(objHandle: HCkSFtpDir): PWideChar; stdcall;

function CkSFtpDir_getLastMethodSuccess(objHandle: HCkSFtpDir): wordbool; stdcall;

procedure CkSFtpDir_putLastMethodSuccess(objHandle: HCkSFtpDir; newPropVal: wordbool); stdcall;

function CkSFtpDir_getNumFilesAndDirs(objHandle: HCkSFtpDir): Integer; stdcall;

procedure CkSFtpDir_getOriginalPath(objHandle: HCkSFtpDir; outPropVal: HCkString); stdcall;

function CkSFtpDir__originalPath(objHandle: HCkSFtpDir): PWideChar; stdcall;

function CkSFtpDir_getVerboseLogging(objHandle: HCkSFtpDir): wordbool; stdcall;

procedure CkSFtpDir_putVerboseLogging(objHandle: HCkSFtpDir; newPropVal: wordbool); stdcall;

procedure CkSFtpDir_getVersion(objHandle: HCkSFtpDir; outPropVal: HCkString); stdcall;

function CkSFtpDir__version(objHandle: HCkSFtpDir): PWideChar; stdcall;

function CkSFtpDir_FileAt(objHandle: HCkSFtpDir; index: Integer; fileObj: HCkSFtpFile): wordbool; stdcall;

function CkSFtpDir_GetFilename(objHandle: HCkSFtpDir; index: Integer; outStr: HCkString): wordbool; stdcall;

function CkSFtpDir__getFilename(objHandle: HCkSFtpDir; index: Integer): PWideChar; stdcall;

function CkSFtpDir_GetFileObject(objHandle: HCkSFtpDir; index: Integer): HCkSFtpFile; stdcall;

function CkSFtpDir_LoadTaskResult(objHandle: HCkSFtpDir; task: HCkTask): wordbool; stdcall;

procedure CkSFtpDir_Sort(objHandle: HCkSFtpDir; field: PWideChar; ascending: wordbool); stdcall;

implementation

{$Include chilkatDllPath.inc}

function CkSFtpDir_Create; external DLLName;
procedure CkSFtpDir_Dispose; external DLLName;
procedure CkSFtpDir_getDebugLogFilePath; external DLLName;
procedure CkSFtpDir_putDebugLogFilePath; external DLLName;
function CkSFtpDir__debugLogFilePath; external DLLName;
procedure CkSFtpDir_getLastErrorHtml; external DLLName;
function CkSFtpDir__lastErrorHtml; external DLLName;
procedure CkSFtpDir_getLastErrorText; external DLLName;
function CkSFtpDir__lastErrorText; external DLLName;
procedure CkSFtpDir_getLastErrorXml; external DLLName;
function CkSFtpDir__lastErrorXml; external DLLName;
function CkSFtpDir_getLastMethodSuccess; external DLLName;
procedure CkSFtpDir_putLastMethodSuccess; external DLLName;
function CkSFtpDir_getNumFilesAndDirs; external DLLName;
procedure CkSFtpDir_getOriginalPath; external DLLName;
function CkSFtpDir__originalPath; external DLLName;
function CkSFtpDir_getVerboseLogging; external DLLName;
procedure CkSFtpDir_putVerboseLogging; external DLLName;
procedure CkSFtpDir_getVersion; external DLLName;
function CkSFtpDir__version; external DLLName;
function CkSFtpDir_FileAt; external DLLName;
function CkSFtpDir_GetFilename; external DLLName;
function CkSFtpDir__getFilename; external DLLName;
function CkSFtpDir_GetFileObject; external DLLName;
function CkSFtpDir_LoadTaskResult; external DLLName;
procedure CkSFtpDir_Sort; external DLLName;



end.
